> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.epaygames.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.epaygames.io/_mcp/server.

# Get Transactions

GET https://v1/biller/transactions

### Get Transactions

The **Get Transactions** endpoint retrieves a list of all transactions generated via the **Generate Transaction** endpoint. You can use this to check the actual status of a specific transaction.

**Possible Statuses:**

- `completed`
- `pending`
- `cancelled`

> A transaction is marked as `cancelled` if it was canceled by the payment gateway, failed, or expired.

**Response Fields:**

- `provider_reference_no` — the upstream provider reference number; may be `null` or a string.
- `other_reference_no` — an additional reference number; may be `null` or a string.

#### Usage Tips

While you can fetch the most recent transactions, it is recommended to use filters (e.g., search by `reference_no`) for better performance and more targeted results.

Reference: https://docs.epaygames.io/epaygames-payments-disbursement-api/payments-api/get-transactions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /v1/biller/transactions:
    get:
      operationId: Get Transactions
      summary: Get Transactions
      description: >-
        ### Get Transactions


        The **Get Transactions** endpoint retrieves a list of all transactions
        generated via the **Generate Transaction** endpoint. You can use this to
        check the actual status of a specific transaction.


        **Possible Statuses:**


        - `completed`

        - `pending`

        - `cancelled`


        > A transaction is marked as `cancelled` if it was canceled by the
        payment gateway, failed, or expired.


        **Response Fields:**


        - `provider_reference_no` — the upstream provider reference number; may
        be `null` or a string.

        - `other_reference_no` — an additional reference number; may be `null`
        or a string.


        #### Usage Tips


        While you can fetch the most recent transactions, it is recommended to
        use filters (e.g., search by `reference_no`) for better performance and
        more targeted results.
      tags:
        - paymentsApi
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties: {}
servers:
  - url: https:/
    description: https://{payments_api_host}

```

## Examples



**Response**

```json
"{\n    \"message\": \"\",\n    \"data\": {\n        \"transactions\": [\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRKXINX7RJHF\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arymk3krslbpy74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:58:40+08:00\",\n                \"date\": \"2025-09-01T09:58:40+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arymk3krslbpy74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRVHHDOZZO2X\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arptbrkdgdppx74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:52:55+08:00\",\n                \"date\": \"2025-09-01T09:52:55+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arptbrkdgdppx74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRW1IRBWEMA7\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/aretrs4auccrw74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:46:51+08:00\",\n                \"date\": \"2025-09-01T09:46:51+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/aretrs4auccrw74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRO1ZTQYGOX7\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arvvmysiy7zov74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:46:50+08:00\",\n                \"date\": \"2025-09-01T09:46:50+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arvvmysiy7zov74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRXOSPJFXPJC\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arzjd0maumkhu74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:46:32+08:00\",\n                \"date\": \"2025-09-01T09:46:32+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arzjd0maumkhu74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRGDJHJTEKHV\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arzmlbszotokt74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:46:31+08:00\",\n                \"date\": \"2025-09-01T09:46:31+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arzmlbszotokt74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQR0JTAIS3HH3\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arsdd8obyukps74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:46:21+08:00\",\n                \"date\": \"2025-09-01T09:46:21+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arsdd8obyukps74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRTRRMCR4LSH\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/armevuvu6dpcr74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:45:48+08:00\",\n                \"date\": \"2025-09-01T09:45:48+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/armevuvu6dpcr74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRNHA78EK57Q\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arv3b7nkaslxq74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:45:47+08:00\",\n                \"date\": \"2025-09-01T09:45:47+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arv3b7nkaslxq74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRUOTZXVKXCS\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/ar2kou1ocgtzp74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:45:09+08:00\",\n                \"date\": \"2025-09-01T09:45:09+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/ar2kou1ocgtzp74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRUK1VN9EU4U\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arss3uviukpuo74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:45:08+08:00\",\n                \"date\": \"2025-09-01T09:45:08+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arss3uviukpuo74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRPZ2OZYMKY5\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arrefozzc9akn74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:44:47+08:00\",\n                \"date\": \"2025-09-01T09:44:47+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arrefozzc9akn74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRMBW9TQRHNM\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/ardizmpseefim74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:44:46+08:00\",\n                \"date\": \"2025-09-01T09:44:46+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/ardizmpseefim74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRBLMY7NGWPN\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/ar58fwor5beml74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:44:37+08:00\",\n                \"date\": \"2025-09-01T09:44:37+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/ar58fwor5beml74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            },\n            {\n                \"subtotal_amount\": 0.01,\n                \"service_fee\": 0,\n                \"total_amount\": 0.01,\n                \"reference_no\": \"TESTQRFRPNZBJBEK\",\n                \"provider_reference_no\": null,\n                \"other_reference_no\": null,\n                \"status\": \"pending\",\n                \"barcode_url\": null,\n                \"qrcode_url\": null,\n                \"link_url\": null,\n                \"is_web_payment\": true,\n                \"web_payment_url\": \"https://l-stg.epayg.link/arvtywf9vgdhk74\",\n                \"qrcode\": null,\n                \"is_expired\": false,\n                \"expires_at\": \"2025-09-02T09:44:36+08:00\",\n                \"date\": \"2025-09-01T09:44:36+08:00\",\n                \"items\": [],\n                \"currency\": {\n                    \"name\": \"Philippine Peso\",\n                    \"code\": \"PHP\",\n                    \"symbol\": \"₱\"\n                },\n                \"channel\": {\n                    \"name\": \"PayMaya\",\n                    \"desciption\": null,\n                    \"instruction\": \"To complete the transaction, kindly follow these steps:\\n 1. Open [PayMaya Web Payment Link](https://l-stg.epayg.link/arvtywf9vgdhk74).\\n 2. Complete the **PayMaya** web payment process.\\n 3. Payments are processed once paid.\\nNote: You do not need to follow those steps if you already complete the **PayMaya** web payment process.\",\n                    \"slug\": \"paymaya\",\n                    \"code\": \"PAYMAYA_QR\",\n                    \"logo\": \"https://cdn.eplayment.co/payment-channels/paymaya.jpg\",\n                    \"category\": {\n                        \"name\": \"E-Wallet\",\n                        \"description\": \"E-Wallet payment channels.\",\n                        \"slug\": \"e-wallet\"\n                    }\n                }\n            }\n        ],\n        \"meta\": {\n            \"current_page\": 1,\n            \"from\": 1,\n            \"last_page\": 199,\n            \"per_page\": 15,\n            \"to\": 15,\n            \"total\": 2975\n        }\n    }\n}"
```

**SDK Code**

```python Payments API_Get Transactions_example
import requests

url = "https://https/v1/biller/transactions"

response = requests.get(url)

print(response.json())
```

```javascript Payments API_Get Transactions_example
const url = 'https://https/v1/biller/transactions';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payments API_Get Transactions_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://https/v1/biller/transactions"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payments API_Get Transactions_example
require 'uri'
require 'net/http'

url = URI("https://https/v1/biller/transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Payments API_Get Transactions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/v1/biller/transactions")
  .asString();
```

```php Payments API_Get Transactions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/v1/biller/transactions');

echo $response->getBody();
```

```csharp Payments API_Get Transactions_example
using RestSharp;

var client = new RestClient("https://https/v1/biller/transactions");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Payments API_Get Transactions_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://https/v1/biller/transactions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```